require 'rack/cors'
require_relative 'src/oauth2/main'
require_relative 'src/main'
require_relative 'src/swagger/swagger_ui'

use Rack::Deflater

use Rack::Static, urls: {"/swagger/swagger-ui.css" => "src/swagger/node_modules/swagger-ui-dist/swagger-ui.css",
                         "/swagger/swagger-ui-bundle.js" => "src/swagger/node_modules/swagger-ui-dist/swagger-ui-bundle.js",
                         "/swagger/swagger-ui-standalone-preset.js" => "src/swagger/node_modules/swagger-ui-dist/swagger-ui-standalone-preset.js",
                         "/swagger/swagger-ui-bundle.js.map" => "src/swagger/node_modules/swagger-ui-dist/swagger-ui-bundle.js.map",
                         "/swagger/swagger-ui-standalone-preset.js.map" => "src/swagger/node_modules/swagger-ui-dist/swagger-ui-standalone-preset.js.map",
                         "/swagger/swagger-ui.css.map" => "ssrc/wagger/node_modules/swagger-ui-dist/swagger-ui.css.map",
                         "/favicon.ico" => "src/swagger/RxU.ico",
                         "/oauth2/bulma.min.css" => "src/oauth2/bulma.min.css",
}

use Rack::Cors do
  allow do
    origins '*'
    resource '*', headers: :any, methods: [:get, :post, :put, :delete, :options]
  end
end

run Rxuniverse::Swagger

map '/api' do
  run Rxuniverse::API
end

map '/oauth2' do
  run Sinatra::Application
end
