require 'sinatra/base'

module Rxuniverse
  class Swagger < Sinatra::Base
    def swagger_ui
      File.read(File.join(__dir__, 'swagger.html.erb'))
    end

    def oauth_redirect
      File.read(File.join(__dir__, 'swagger.redirect.html.erb'))
    end

    def request_url
      request.url.chomp(request.fullpath)
    end

    def relative_doc_path
      "api/swagger"
    end

    get "/" do
      redirect to('/gui')
    end

    get "/gui" do
      ERB.new(swagger_ui).result(binding)
    end

    get "/gui/oauth2-redirect" do
      ERB.new(oauth_redirect).result(binding)
    end
  end
end